[tool.poetry]
name = "calendarweek"
version = "0.6"
description = "Utilities for working with calendar weeks in Python and Django"
authors = ["Dominik George <nik@naturalnet.de>", "Jonathan Weth <git@jonathanweth.de>"]
license = "Apache-2.0"
homepage = "https://edugit.org/AlekSIS/libs/python-calendarweek"
repository = "https://edugit.org/AlekSIS/libs/python-calendarweek"
documentation = "https://edugit.org/AlekSIS/libs/python-calendarweek"
include = ["CHANGELOG.rst"]
readme = "README.rst"
classifiers = [
    "Development Status :: 4 - Beta",
    "Framework :: Django",
    "Intended Audience :: Developers",
    "License :: OSI Approved :: Apache Software License",
    "Topic :: Software Development :: Libraries :: Python Modules",
    "Topic :: Software Development :: Localization",
    "Typing :: Typed"
]

[tool.poetry.dependencies]
python = "^3.10"
Django = {version = ">=4.2, <6.0", optional = true}

[tool.poetry.extras]
django = ["Django"]

[tool.poetry.dev-dependencies]

[build-system]
requires = ["poetry>=0.12"]
build-backend = "poetry.masonry.api"
